افزونه Technorati Rank WordPress نسخه 2 منتشر شد!

داغ اولین پلاگین Technorati Rank ، محتوای خروجی را برای ساخت دوباره طراحی کردم CSS رانده شده (در زیر یک عکس از صفحه وجود دارد ، شما می توانید با آنچه در نوار کناری سایت من تعامل دارید):

افزونه وردپرس Technorati Rank نسخه 2

تولید این یکی کاملاً چالش برانگیزتر بود اما خروجی آن بسیار بهتر است. اول ، من از آنچه در مورد آن یاد گرفته ام استفاده کردم بیت باکس برای ایجاد هر یک از دکمه های خروجی روی تصویر در Illustrator.

گام بعدی استفاده از سبک ها برای ساختن شخصی از یک بود نقشه تصویر با این تفاوت که در واقع وجود دارد بدون نقشه! در واقع خیلی باحال است. می توانید پس زمینه div را به طور کلی تنظیم کنید و سپس با استفاده از موقعیت مطلق و CSS ، هر یک از "نقاط" را ایجاد کنید. CSS خروجی را مشاهده کنید.

من همچنین یک لینک به جدید Technorati اضافه کردم WTF صفحه و آدرس RSS سایت. امیدوارم ازش خوشتان بیاید! من فکر می کنم این یک پیشرفت گسترده نسبت به نسخه اول است! وجود دارد i پیوندی در پایین سمت راست که افزونه را نیز ارتقا می دهد.

نسخه Technorati Rank WordPress Plugin نسخه 2.0.4

23 نظرات

  1. 1
    • 2

      حتما همینطوره! مدت زیادی بود که به دنبال کمک ایلوستریتور بودم. من آنقدر از آن استفاده نمی‌کنم که در آن فوق‌العاده باشم، بنابراین سایتی مانند Bittbox در وقت من صرفه‌جویی می‌کند!

  2. 3

    من سعی کردم جدیدترین و بهترین را با پیروی از دستورالعمل های شما به "نامه" نصب کنم 🙂

    اما با خطای زیر مواجه شدم

    خطای مهلک: کلاس غیر موجود را نمی توان نمونه سازی کرد: simplexmlelement در /home/winex4/public_html/wp-content/plugins/technorati-rank/technorati-rank.php در خط 64

    هر پیشنهادی؟

    • 4
      • 5

        که به من یاد می دهد که اول چک کنم .. ظاهراً Lunarpages نسخه 4.4.4 PHP را اجرا می کند.

        حدس می زنم که باید نسخه دیگر را بررسی کنم یا درنگ کنم و ببینم آیا آنها به 5.0 ارتقا می یابند یا نه

        • 6

          امیدوارم انجام دهند! اما من همچنین امیدوارم میزبان شما ارتقا یابد. PHP5 واقعاً بهبودهای عملکردی بسیار بهتر و همچنین ابزارهای بهتری را برای مصرف APIها به ارمغان می آورد. من از Jumpline استفاده می کنم، شما یک پیوند در لیست حامیان مالی من در صفحه اصلی من خواهید دید. من همچنین معتقدم که Dotster میزبان VDS خوبی با جدیدترین و بهترین ها دارد.

      • 7

        داگ ،
        من مشکل مشابه دارم
        با هاستم تماس گرفتم و گفتند سرور من PHP 4 و PHP 5 دارد، اما اگر بخواهم فایلی را با استفاده از PHP 5 اجرا کنم، اسکریپت باید پسوند فایل .php5 داشته باشد.

        بنابراین… من پسوند فایل را تغییر دادم، و از افزونه های وردپرس ناپدید شد.

        هر ایده؟

        • 8

          وای - من اصلا مطمئن نیستم، BittBox. اجازه دهید نگاهی به کارهایی که سامانتون برای تبدیل نسخه اول به PHP4 انجام داده بود بیاندازم.

          من واقعا از اینکه چه تعداد میزبانی وجود دارد که جدیدترین و بهترین ها را ندارند شگفت زده شدم!

  3. 10

    پلاگین عالی، یک ظاهر طراحی عالی! ممنون داگ، و کار عالی. من حتی در مورد اولین چیزی نمی دانستم، اما این در نوار کناری من است.

    دیدن اینکه نکات Illustrator من به شما در ساختن دکمه هایتان کمک کرد واقعاً مایه قدردانی است!!!!!

    بازم ممنون

    ~بیت باکس

    • 11

      با تشکر از شما، BittBox! فکر می‌کنم به استایل علاقه‌مندم، اما به نظر می‌رسد که در بیشتر مواقع آن را درست نمی‌دانم. توانایی دانلود نمونه های خود و تشریح آنها چیزی است که تفاوت را ایجاد می کند. اکنون می توانم واقعاً آن ایده ها را اجرا کنم. 🙂

      من دارم با چند فکر در مورد سرصفحه و پس زمینه وبلاگم بازی می کنم.

  4. 12

    خب داگ، انگار افزونه نسخه 2 از من متنفره. پیام های خطا دریافت می کنم:

    Warning: fopen(/technorati-rank.html) [function.fopen]: failed to open stream: Permission denied in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 121
    Warning: fwrite(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 122
    Warning: fclose(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 123

    با وجود پیام های خطا، رتبه Technorati من را نیز نشان می دهد (~26.5k :D). من به اندازه کافی در مورد PHP اطلاعات ندارم که بدانم چرا این یک فایل گریه می کند.
    به اندازه کافی جالب توجه است که ما در سرور خود از SuPHP استفاده می کنیم، بنابراین همه چیز مانند ما اجرا می شود (بنابراین الزامات chmod دیگر نیازی به فایل های قابل نوشتن جهان ندارد و اسکریپت های php در صورت بالا بودن chmod's اجرا نمی شوند).

    تمام php برای این زیر دامنه به صورت php5 اجرا می شود.

    هر ایده؟

    • 13

      آیا دایرکتوری wp-content/cache Xial دارید؟ من فکر کردم ایده خوبی است که از همان فهرست حافظه پنهان WP-Cache استفاده کنم. در گذشته، شاید ایده خوبی نبود! آن خط قطعا برای نوشتن در فایل کش است.

      • 14

        من مطمئنا دارم، داگ. من مدت زیادی است که WP-Cache را اجرا می کنم. 🙂

        من هم کمی کنجکاو بودم که چرا از این موضوع شکایت می کند، زیرا من دایرکتوری لازم را دارم، اما حدس می زنم که کلا چیز دیگری باشد.

      • 15

        اطلاعات جالبی برای اضافه کردن:

        $ pwd
        /..../wp-content/cache
        $ ls -l tech*
        -rw-r--r-- 1 meeeeeeee meeeeeeee 1.1K Mar 12 11:47 technorati-rank.html

        هنوز هم خطاها را برمی گرداند.

    • 16

      فقط می خواهم با داشتن همان خطا به صدا در بیایم. سایت php5 را اجرا می کند و دکمه نمایش داده می شود.
      من سعی کردم در خطوط 121-123 نظر بدهم، و پلاگین به خوبی کار می کند. آیا می توانم آن را به صورت زنده قرار دهم یا عدم وجود آن خطوط در طولانی مدت باعث ایجاد مشکل می شود؟

  5. 17

    من همان خطاهای بالا را دریافت می کنم، همچنین فکر می کردم که این آدرس کش است، اما یکی از آنها را دارم و همچنین مطمئن شدم که حقوق نوشتن درست است.
    در نوار کناری افزونه را (با رتبه) اما با آن خطاها در بالای آن نشان می دهد.

    • 18

      سلام ریچارد ،

      آیا می توانید بررسی کنید که PHP نسخه 5+ را دارید و CURL فعال است؟ شما می توانید این کار را با ایجاد یک صفحه در سایت خود انجام دهید <?php phpinfo(); ?> در یک صفحه سپس آن صفحه را باز کنید. بالای صفحه نسخه PHP شما را دارد و می‌توانید CURL را جستجو کنید تا مطمئن شوید که فعال است.

      با تشکر!
      داگ

      • 19

        خوب، داگ، من نسخه PHP خود را دوبار بررسی کردم.
        من PHP5 را اجرا می کنم و cURL در آن کامپایل می شود (یکی از سه درخواست معمول من از میزبانم، برای کامپایل شدن چیزها در PHP).

        همه چیزهای دیگر خوب کار می کنند، اما من کاملاً مطمئن نیستم که چرا این افزونه خفه می شود، مگر اینکه نسخه cURL باشد که در PHP کامپایل شده است (ما در 7.15.4 هستیم و به نظر می رسد آخرین نسخه 7.16.1 باشد). با این حال، من نمی خواهم هاست خود را اذیت کنم تا دوباره php5 را فقط برای همین کامپایل کند، اگر بتوانم کمکش کنم. <:3

        • 20

          این آخر هفته قصد دارم نگاه عمیق تری داشته باشم. بدون هیچ مشکلی در چند سایت اجرا می شود - بنابراین یکی از 3 چیز است: 1. کش، 2. cURL یا 3. نسخه PHP.

          من می‌توانم از قابلیت‌های قدیمی‌تر PHP 4 برای استخراج و تجزیه XML استفاده کنم، اما ممکن است سرعت آن را تا حدی کاهش دهد - من این آخر هفته می‌خواهم آزمایش کنم. بابت تمام دریافتی ها متشکرم. "هوستون، ما یک مشکل داریم!".

  6. 21

    فقط یک نکته: Technorati راه اندازی کرده است قدرت پلاگین

    همچنین - برای همه کسانی که با این افزونه مشکل دارند، واقعاً شما را تشویق می کنم که به یک هاست جدید بروید :). من یک 12 ماه ویژه رایگان دارم که میزبانم در پایین صفحه من است درباره ما احتمال برد مراجعه کنید.

  7. 22
  8. 23

    من چندین درخواست دریافت کردم مبنی بر اینکه خطاهایی در نوشتن یا خواندن از فایل کش وجود داشته است. من در واقع مشکلی را شناسایی کردم که در آن فایل کش را به دایرکتوری ریشه فشار می دادم و می کشیدم. من نسخه 2.0.4 را طوری تغییر دادم که در یک زیر شاخه کش در فهرست پلاگین بنویسد.

    لطفا به من اطلاع دهید که چگونه اجرا می شود! (هنوز به SimpleXML و cURL نیاز دارد!)

شما چه فکر میکنید؟

این سایت از Akismet برای کاهش هرزنامه استفاده می کند. بدانید که چگونه نظر شما پردازش می شود.